package com.dragon.tj.portal.auth.config;

import com.alibaba.fastjson.support.retrofit.Retrofit2ConverterFactory;
import com.dragon.tj.portal.auth.client.DcucAuthClient;
import com.dragon.tj.portal.auth.client.DcucUserClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import retrofit2.Retrofit;
import retrofit2.converter.jackson.JacksonConverterFactory;

@Configuration
public class RetrofitConfig {
    @Value("${client.dcuc.user.url}")
    private String dcucUserUrl;

    @Value("${client.dcuc.auth.url}")
    private String dcucAuthUrl;

    @Bean
    public DcucUserClient dcucUserClient() {
        Retrofit retrofit = new Retrofit.Builder()
                .baseUrl(dcucUserUrl)
                .addConverterFactory(JacksonConverterFactory.create())
                .build();
        return retrofit.create(DcucUserClient.class);
    }

    @Bean
    public DcucAuthClient dcucAuthClient() {
        Retrofit retrofit = new Retrofit.Builder()
                .baseUrl(dcucAuthUrl)
                .addConverterFactory(Retrofit2ConverterFactory.create())
                .build();
        return retrofit.create(DcucAuthClient.class);
    }
}
